# Tests need X display
%define enable_test 1

Name:           perl-Wx-Perl-ProcessStream
Version:        0.32
Release:        6%{?dist}
Summary:        Access IO of external processes via events
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Wx-Perl-ProcessStream/
Source0:        http://www.cpan.org/authors/id/M/MD/MDOOTSON/Wx-Perl-ProcessStream-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Time::HiRes) >= 1.2
BuildRequires:  perl(Wx) >= 0.5
%if %enable_test
BuildRequires:  xorg-x11-server-Xvfb
BuildRequires:  xorg-x11-xinit
%endif
Requires:       perl(Time::HiRes) >= 1.2
Requires:       perl(Wx) >= 0.5
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides the STDOUT, STDERR and exit codes of asynchronously
running processes via events. It may be used for long running or blocking
processes that provide periodic updates on state via STDOUT. Simple IPC is
possible via STDIN.

%prep
%setup -q -n Wx-Perl-ProcessStream-%{version}
chmod -x example/*

%build
%{__perl} Makefile.PL INSTALLDIRS=perl
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%if %enable_test
    xinit /bin/sh -c '%{_bindir}/make test && touch tests.ok' \
        -- %{_bindir}/Xvfb :666
    [ -f tests.ok ] || exit 1
%endif

%files
%defattr(-,root,root,-)
%doc Changes example README
%{perl_privlib}/*
%{_mandir}/man3/*

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.32-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Petr Pisar <ppisar@redhat.com> - 0.32-5
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.32-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.32-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Petr Pisar <ppisar@redhat.com> - 0.32-2
- Perl 5.16 rebuild

* Fri Apr  6 2012 Marcela Mašláňová <mmaslano@redhat.com> - 0.32-1
- 0.32 bump

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.30-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.30-3
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb 07 2011 Petr Pisar <ppisar@redhat.com> - 0.30-1
- 0.30 bump
- Remove BuildRoot stuff

* Fri Dec 03 2010 Petr Pisar <ppisar@redhat.com> - 0.29-1
- 0.29 bump
- Enable tests by running own X server

* Wed Sep 22 2010 Marcela Mašláňová <mmaslano@redhat.com> - 0.28-1
- update, works with Wx > 0.97

* Tue Jun  1 2010 Petr Pisar <ppisar@redhat.com> - 0.27-1
- 0.27 bump (0.26 breaks API, do not backport to stable distributions)
- Sort dependencies and parametrize make test
- Remove executable bit from examples in documentation

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.24-2
- Mass rebuild with perl-5.12.0

* Mon Feb  8 2010 Marcela Mašláňová <mmaslano@redhat.com> - 0.24-1
- update

* Wed Dec 23 2009 Marcela Mašláňová <mmaslano@redhat.com> - 0.22-1
- update

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.11-4
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Aug  4 2008 Marcela Mašláňová <mmaslano@redhat.com> 0.11-1
- add BR, remove checking gtk
- Specfile autogenerated by cpanspec 1.77.
